summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall2014-11-07 01:23:25 +0100
committer Willy Sudiarto Raharjo2014-11-08 00:30:13 +0100
commitbf29e8df503b47f8fe5ad897da637e31f9aa41d8 (patch)
tree900561226861a7877aa5b220046f89f971924b2d
parent9a734e78ad2215e3a05f386c23c48c9eceb5f1cf (diff)
downloadslackbuilds-bf29e8df503b47f8fe5ad897da637e31f9aa41d8.tar.gz
network/milter-greylist: Added (greylist filter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/milter-greylist/README5
-rw-r--r--network/milter-greylist/doinst.sh14
-rw-r--r--network/milter-greylist/milter-greylist.SlackBuild108
-rw-r--r--network/milter-greylist/milter-greylist.info10
-rw-r--r--network/milter-greylist/slack-desc19
5 files changed, 156 insertions, 0 deletions
diff --git a/network/milter-greylist/README b/network/milter-greylist/README
new file mode 100644
index 0000000000..9ea7d2d746
--- /dev/null
+++ b/network/milter-greylist/README
@@ -0,0 +1,5 @@
+milter-greylist is a stand-alone milter written in C that implements
+the greylist filtering method, as proposed by Evan Harris.
+
+Setup instructions:
+http://www.howtogeek.com/50948/how-to-setup-milter-greylist-spam-blocking-in-sendmail/
diff --git a/network/milter-greylist/doinst.sh b/network/milter-greylist/doinst.sh
new file mode 100644
index 0000000000..0d5a67743a
--- /dev/null
+++ b/network/milter-greylist/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/mail/greylist.conf.new
diff --git a/network/milter-greylist/milter-greylist.SlackBuild b/network/milter-greylist/milter-greylist.SlackBuild
new file mode 100644
index 0000000000..80be6162ae
--- /dev/null
+++ b/network/milter-greylist/milter-greylist.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for milter-greylist
+# Copyright 2014 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=milter-greylist
+VERSION=${VERSION:-4.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/etc/mail/greylist.conf $PKG/etc/mail/greylist.conf.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/milter-greylist/milter-greylist.info b/network/milter-greylist/milter-greylist.info
new file mode 100644
index 0000000000..7eb218d9f2
--- /dev/null
+++ b/network/milter-greylist/milter-greylist.info
@@ -0,0 +1,10 @@
+PRGNAM="milter-greylist"
+VERSION="4.4.3"
+HOMEPAGE="http://hcpnet.free.fr/milter-greylist/"
+DOWNLOAD="ftp://ftp.espci.fr/pub/milter-greylist/milter-greylist-4.4.3.tgz"
+MD5SUM="19cf27dc8077a01d103fcf2f367e9509"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/network/milter-greylist/slack-desc b/network/milter-greylist/slack-desc
new file mode 100644
index 0000000000..353b124ab8
--- /dev/null
+++ b/network/milter-greylist/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+milter-greylist: milter-greylist (greylist filter)
+milter-greylist:
+milter-greylist: milter-greylist is a stand-alone milter written in C that implements
+milter-greylist: the greylist filtering method, as proposed by Evan Harris.
+milter-greylist:
+milter-greylist: http://hcpnet.free.fr/milter-greylist/
+milter-greylist:
+milter-greylist:
+milter-greylist:
+milter-greylist:
+milter-greylist: